<?php
error_reporting(E_ALL);

class Test{
  public $otazky;

  function pridej_otazku($text, $odpovedi, $body){
    $pocet_otazek = count($this->otazky);
    $this->otazky[$pocet_otazek]['text']      = $text;
    $this->otazky[$pocet_otazek]['odpovedi']  = $odpovedi;
    $this->otazky[$pocet_otazek]['body']      = $body;
  }

  function pocet_otazek(){
    return count($this->otazky);
  }

  // $cislo je pozice v array
  function zobraz_otazku($cislo, $parametry){
    $zobrazit;
    $sirka;
    $vyska;
    $zarovnani;
    $cislo_otazky = $cislo + 1;

    if (isset($parametry['sirka'])){
      $sirka = "width=\"".$parametry['sirka']."\"";
    }
    if (isset($parametry['vyska'])){
      $sirka = "height=\"".$parametry['vyska']."\"";
    }
    if (isset($parametry['zarovnani'])){
      $sirka = "align=\"".$parametry['zarovnani']."\"";
    }

    $zobrazit = "<table>\n";
    $zobrazit .= "
      <tr>\n
        <td>".$cislo_otazky."</td>\n
        <td>".$this->otazky[$cislo]['text']."</td>\n
      </tr>\n";

    $cislo_odpovedi = 0;
    foreach ($this->otazky[$cislo]['odpovedi'] as $odpovedi) {
      $zobrazit .= "
        <tr>\n
          <td><input type=\"radio\" name=\"otazka_".$cislo."\" value=".$cislo_odpovedi."></td>\n
          <td>".$odpovedi."</td>\n
        </tr>\n";
      $cislo_odpovedi++;
    }

    $zobrazit .= "</table>\n";

    return $zobrazit;
  }

  function vytvor_zacatek($stranka){
    $zobrazit = "<form action=\"".$stranka."?otestovat\" method=\"POST\">\n";
    return $zobrazit;
  }

  function vytvor_konec(){
    $zobrazit = "<input type=\"submit\" value=\"Odeslat\">\n";
    $zobrazit .= "</form>\n";
    return $zobrazit;
  }

  function spocti_vysledek($data){
    $bodu_celkem = 0;
    $cislo_otazky = 0;
    foreach ($this->otazky as $body) {
      if (isset($data["otazka_".$cislo_otazky])){
        $odpoved = $data["otazka_".$cislo_otazky];
        $bodu_celkem = $bodu_celkem + $this->otazky[$cislo_otazky]['body'][$odpoved];
      }
      $cislo_otazky++;
    }

    return $bodu_celkem;
  }

  function vlozit_jmeno(){
    $zobrazit = "<input type=textbox name=\"jmeno\">";
    return $zobrazit;
  }


  function vrat_otazky(){
    return $this->otazky;
  }
}


///////////////////////

$hadanka = new Test;

$odpovedi[] = "nikdo";
$body[] = 0;
$odpovedi[] = "nekdo";
$body[] = 2;
$odpovedi[] = "nevim";
$body[] = 1;

$hadanka->pridej_otazku("Kdo sem?", $odpovedi, $body);

unset ($odpovedi);
unset ($body);

$odpovedi[] = "hmm";
$body[] = 0;
$odpovedi[] = "emm";
$body[] = 2;
$odpovedi[] = "lmao";
$body[] = 1;

$hadanka->pridej_otazku("LoL?", $odpovedi, $body);


unset ($odpovedi);
unset ($body);

$odpovedi[] = "spatne";
$body[] = 3;
$odpovedi[] = "dobre";
$body[] = 2;
$odpovedi[] = "lmao";
$body[] = 1;

$hadanka->pridej_otazku("Otayka?", $odpovedi, $body);

if (isset($_GET['otestovat'])){
  $data = $_POST;
  echo $_POST['jmeno']." m celkem ";
  echo $hadanka->spocti_vysledek($data)." bod";
}
else{
  echo $hadanka->vytvor_zacatek("test.php");
  echo $hadanka->zobraz_otazku(0,0);
  echo $hadanka->zobraz_otazku(1,0);
  echo $hadanka->zobraz_otazku(2,0);
  echo "Jmno tv jest? ".$hadanka->vlozit_jmeno();
  echo $hadanka->vytvor_konec();
}




?>